# This spec is backported to ALTLinux 5.1 automatically by rpmbph script. Do not edit it.
#
Name: libtalloc
Version: 2.0.1
Release: alt0.M51.1

Summary: The talloc library

License: LGPLv3+
Group: System/Libraries
Url: http://talloc.samba.org/

Packager: Ilya Shpigor <elly@altlinux.org>

Source: http://samba.org/ftp/talloc/talloc-%version.tar.gz

# Automatically added by buildreq on Tue Nov 24 2009
BuildRequires: docbook-dtds docbook-style-xsl libacl-devel libcap-devel xsltproc

%description
A library that implements a hierarchical allocator with destructors.

%package devel
Group: Development/C
Summary: Developer tools for the Talloc library
Requires: %name = %version-%release

%description devel
Header files needed to develop programs that link against the Talloc library.

%prep
%setup -q -n talloc-%version

%build
./autogen.sh
%configure --prefix=%_usr --enable-talloc-compat1
%make_build

%install
%makeinstall_std

ln -s libtalloc.so.%version %buildroot%_libdir/libtalloc.so.2
ln -s libtalloc.so.%version %buildroot%_libdir/libtalloc.so

#Compatibility library
ln -s libtalloc-compat1-2.0.1.so %buildroot%_libdir/libtalloc.so.1

rm -f %buildroot%_libdir/libtalloc.a
rm -f %buildroot%_datadir/swig/*/talloc.i

%files
%_libdir/*.so.*
%_libdir/libtalloc-compat1-2.0.1.so

%files devel
%_includedir/*.h
%_libdir/*.so
%_pkgconfigdir/*.pc
%_man3dir/*

%changelog
* Tue Jul 06 2010 Ilya Shpigor <elly@altlinux.org> 2.0.1-alt0.M51.1
- backport to ALTLinux 5.1 (by rpmbph script)

* Tue Jul 06 2010 Ilya Shpigor <elly@altlinux.org> 2.0.1-alt1
- new version 2.0.1

* Tue Nov 24 2009 Ilya Shpigor <elly@altlinux.org> 2.0.0-alt1
- initial build for ALT Linux Sisyphus

* Tue Sep  8 2009 Simo Sorce <ssorce@redhat.com> - 2.0.0-0
- New version from upstream.
- Build also sover 1 compat library to ease packages migration

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Simo Sorce <ssorce@redhat.com> - 1.3.1-1
- Original tarballs had a screw-up, rebuild with new fixed tarballs from
  upstream.

* Tue Jun 16 2009 Simo Sorce <ssorce@redhat.com> - 1.3.1-0
- New Upstream release.

* Wed May 6 2009 Simo Sorce <ssorce@redhat.com> - 1.3.0-0
- First public independent release from upstream
